<div id="div_12" class="tfont">
<table style="width:100%;"><tr><td class="sm hlpcol" style="padding:5px;">
<?php if (ismode()){ ?><div  class='bl_w'>Нет последних новостей? Воспользуйтесь следующими ссылками (рядом отображено время последней загрузки), после чего обновите страницу с новостями. За один раз загружается до 11 новых новостей.</div><div class='bl_w2 rgt'><?php }else{echo '<div class="rgt">';} ?>
<?php
$tmp_adder = 0;
$tmp_adder_n = array("Новости IXBT", "Новости THEVISTA", "Новости securitylab", "Новости INATTACK", "Новости XAKEP", "Статьи XAKEP", "Статьи securitylab", "Статьи OsZone", "Новости HT", "Статьи IXBT", "Статьи INATTACK", "Bagtrack XAKEP", "Статьи Overclockers", "Центр загрузки (MS)", "Вирусы securitylab", "Программы SoftPortal", "База знаний MS", "Статьи realcoding", "Статьи BugTraq", "Статьи 3DCenter", "Программы ladoshki", "Статьи smti.ru", "Статьи IBM");
while(1){
	$tmp_adder++;
	if (file_exists("./anews/news_add" . $tmp_adder . ".php")){
		echo "<a target='_blank' href='./anews/news_add", $tmp_adder, ".php'>", $tmp_adder_n[$tmp_adder - 1], "</a> ";
		if (filesize("./anews/" . $tmp_adder . ".txt") <> 0){
			$fp = fopen("./anews/" . $tmp_adder . ".txt", "r");
			echo "<span class='ssm'>" . date("H:i, jS F", fgets($fp, 999)) . "</span> ";
			fclose($fp);
		}
		echo "<br />";
	}else{break;}
}
echo "<p>Знаете другие сайты с интересным контентом? Пишите о них в форму обратной связи, и тогда мы будем собирать новости и с них.</p></div>";
$fp = fopen("./backups/backup.txt", "r");
$result = mysql_query("select jobid from onestyle_w.news_it order by jobid desc limit 0,1");
$row = mysql_fetch_array($result);
if ($row['jobid'] > fgets($fp, 999)){
	fclose($fp);
	$fp = fopen("./backups/backup.txt", "w");
	fwrite($fp, $row['jobid']);
	fclose($fp);
	$fp = fopen("./backups/time.txt", "w");
	fwrite($fp, time());

	$fp2 = fopen("./backups/backup1/index.htm", "w");
	$txt = "<html><head><title>Новости IT www.onestyle.com.ua - архив (111, min) - " . date("H:i, jS F") . "</title>" . '<LINK REL=STYLESHEET TYPE="text/css" HREF="css/index.css"><LINK REL=STYLESHEET TYPE="text/css" HREF="css/atext.css"><LINK REL=STYLESHEET TYPE="text/css" HREF="css/bsc.css">' . "</head><body>";
	
	$result = mysql_query("select * from onestyle_w.news_it order by jobid desc limit 0,111");
	$num_result = mysql_num_rows($result);
	$txt .= "<table style='width:100%;'><tr><td rowspan='" . ($num_result + 1) . "' style='width:10%;'>&nbsp;</td><td>&nbsp;</td></tr>";
	for ($k=0; $k<$num_result; $k++){
		$row = mysql_fetch_array($result);
		$txt .= '<tr><td><div style="background-color : #FFF9F0;padding:3px 7px 7px 7px;">';
		if ($row['desk_more'] <> ""){
			$txt .= setmode("http://www.onestyle.com.ua/news_it.php?d=" . $row['jobid']);
			$txt .= "<a target='_blank' href='http://www.onestyle.com.ua/news_it.php?d=" . $row['jobid'] . "'><sub>Локальная</sub></a> ";
		}
		$txt .= stripslashes($row['name']);
		$txt .= '</div><div style="border:3px solid #FFF9F0;padding:3px;text-align: justify;">';
		$txt .= '<table style="width:90%;"><tr><td class="tfont" style="padding:0px 7px 0px 3px;width:80%;">' . filter_find($_POST['user_name'], str_replace('a href=', "", str_replace("&lt;/a&gt;", "", str_replace("&lt;br /&gt;", "<br />", strip_tags(stripslashes($row['desk'])))))) . '</td><td class="wnw" style="padding:0px 3px 0px 7px;width:33%;">' . "<p class='sm'><span class='bld'>Дата: </span>" . stripslashes($row['pubDate']) . "<br /><span class='bld'>Сайт: </span>" . stripslashes($row['source'])  . "<br /><span class='bld'>Раздел: </span>" . stripslashes($row['category']) . "</p></td></tr></table></div></td></tr>";
	}
	
	fwrite($fp2, $txt . "</td></tr></table></body></html>");
	fclose($fp2);

//33 последних новости (все)
	$fp2 = fopen("./backups/backup2/index.htm", "w");
	$txt = "<html><head><title>Новости IT www.onestyle.com.ua - архив (33, max) - " . date("H:i, jS F") . "</title>" . '<LINK REL=STYLESHEET TYPE="text/css" HREF="css/index.css"><LINK REL=STYLESHEET TYPE="text/css" HREF="css/atext.css"><LINK REL=STYLESHEET TYPE="text/css" HREF="css/bsc.css"><script type="text/javascript" src="js/1.js"><!--	//--></script>' . "</head><body>";
	
	$result = mysql_query("select * from onestyle_w.news_it order by jobid desc limit 0,33");
	$num_result = mysql_num_rows($result);
	$txt .= "<table style='width:100%;'><tr><td rowspan='" . ($num_result + 1) . "' style='width:10%;'>&nbsp;</td><td>&nbsp;</td></tr>";
	for ($k=0; $k<$num_result; $k++){
		$row = mysql_fetch_array($result);
		$txt .= '<tr><td><div style="background-color : #FFF9F0;padding:3px 7px 7px 7px;">';
		if ($row['desk_more'] <> ""){
			$txt .= setmode(($k + 1) . ".html");
			$txt .= "<a target='_blank' href='http://www.onestyle.com.ua/news_it.php?d=" . $row['jobid'] . "'><sub>Локальная</sub></a> ";
		}
		$txt .= stripslashes($row['name']);
		$txt .= '</div><div style="border:3px solid #FFF9F0;padding:3px;text-align: justify;">';
		$txt .= '<table style="width:90%;"><tr><td class="tfont" style="padding:0px 7px 0px 3px;width:80%;">' . filter_find($_POST['user_name'], str_replace('a href=', "", str_replace("&lt;/a&gt;", "", str_replace("&lt;br /&gt;", "<br />", strip_tags(stripslashes($row['desk'])))))) . '</td><td style="white-space:nowrap;padding:0px 3px 0px 7px;width:33%;">' . "<p class='sm'><span class='bld'>Дата: </span>" . stripslashes($row['pubDate']) . "<br /><span class='bld'>Сайт: </span>" . stripslashes($row['source'])  . "<br /><span class='bld'>Раздел: </span>" . stripslashes($row['category']) . "</p></td></tr></table></div></td></tr>";
	
	$txt_tail = "<html><head><title>Новости IT www.onestyle.com.ua - архив (33, max) - " . date("H:i, jS F") . "</title>" . '<LINK REL=STYLESHEET TYPE="text/css" HREF="css/index.css"><LINK REL=STYLESHEET TYPE="text/css" HREF="css/atext.css"><LINK REL=STYLESHEET TYPE="text/css" HREF="css/bsc.css"><script type="text/javascript" src="js/1.js"><!--	//--></script>' . "</head><body>";

	$txt_tail .= "<table style='width:100%;'><tr><td class='mdl'><p class='sm div_bbig2 rgt'>" . $row['name'] . "</p></td><td class='wnw pg10 btm' style='width:7%;'>";
	$txt_tail .= "<p class='sm pg10'><span class='bld'>Раздел: </span>" . stripslashes($row['category']) . "<br /><span class='bld'>Сайт: </span>" . stripslashes($row['source']) . "<br /><span class='bld'>Дата: </span>" . stripslashes($row['pubDate']) . "</p>";
	$txt_tail .= "</td></tr></table>";

	$txt_tail .= '<table style="width:100%;"><tr><td rowspan="2" class="sm" style="padding:0px 3px;width:200px;">&nbsp;</td><td class="jst tfont" style="border-right:3px solid #FFF9F0;"><div class="ssm rgt"><a name="to_start" class="bclr_w" style="border:3px solid #FFF9F0;" href="#to_end">В конец записи</a></div><div style="padding:3px;"><index>' . $row['desk_more'] . '</index></div><div class="ssm rgt"><a name="to_end" class="bclr_w" style="border:3px solid #FFF9F0;" href="#to_start">В начало записи</a></div>';
	$fp3 = fopen("./backups/backup2/" . ($k + 1) . ".html", "w");
	fwrite($fp3, $txt_tail . "</td></tr></table></body></html>");
	fclose($fp3);
	}
	
	fwrite($fp2, $txt . "</td></tr></table></body></html>");
	fclose($fp2);

system("tar cf /home/onestyle/www/backups/backup1.tar /home/onestyle/www/backups/backup1/*");
system("rm /home/onestyle/www/backups/backup1.tar.gz");
system("gzip -9 /home/onestyle/www/backups/backup1.tar");
system("tar cf /home/onestyle/www/backups/backup2.tar /home/onestyle/www/backups/backup2/*");
system("rm /home/onestyle/www/backups/backup2.tar.gz");
system("gzip -9 /home/onestyle/www/backups/backup2.tar");
}
fclose($fp);

echo "<div  class='bl_w'>Вы можете загрузить следующие архивы (обновлены: ";
$fp = fopen("./backups/time.txt", "r");
echo date("H:i", fgets($fp, 999));
fclose($fp);
echo "). Они формируются при открытии данной страницы. Для того, чтобы загрузить последнюю версию архива, обновите страницу.</div><div class='bl_w2'>";
echo " <a class='ssm' title='Загрузить страницу со ссылками на 111 последних новостей' href='./backups/backup1.tar.gz'>Последние 111 новостей (ссылки)</a><br />";
echo " <a class='ssm' title='Загрузить 33 последних новостей' href='./backups/backup2.tar.gz'>Последние 33 новостей (все)</a><br />";
echo "</div>";
?>
</td><td class="jst">

<table cellpadding="0" cellspacing="0" style="margin:2px 0px;"><tr><td class="btm">
<?php 
if (ismode()){
	include "../last_gal.php";
}else{echo "&nbsp;";}
?>
</td><td class="btm sm" style="width:90%;padding:3px;"><?php
if (ismode()){
	echo "Все новости и статьи, представленные в этом разделе, собираются автоматически. Поэтому не удивляйтесь, если заметите две одинаковых записи, либо какие-либо ошибки в локальных версиях новостей и статей.";
}else{echo "&nbsp;";}
?></td></tr></table>

<FORM class="black_block sm" style="color:#FCCE92;font-size: smaller;" METHOD="POST" id="fchangedirect" action="/news_it.php">
<?php 
genfndf("restrict_find");
genfndf("in_orderby");
if ($_SESSION['listwidth'] <> "1"){
?>
<select class="cinline" name="sfilter" onchange="javascript:document.getElementById('fchangedirect').submit();">
<option value="0">Сайт</option>
<?php
$res = mysql_query("select distinct source from onestyle_w.news_it");
$num_res = mysql_num_rows($res);
for ($k=1; $k<$num_res + 1; $k++){
	$rres = mysql_fetch_array($res);
	echo '<option value="' . $rres['source'] . '"';
	if (isset($_POST['sfilter']) and $_POST['sfilter'] == $rres['source']) {echo " selected";}
	echo ">" . str_replace("http://", "", str_replace("www.", "", $rres['source'])) . "</option>";
}
?>
</select>
<?php
}
genfndf("user_name", 25, "Введите искомое слово");
?>
<input class="cinline" title="Также искать строку в дате публикации новости" name="in_name" type="Checkbox" <?php if ($_POST['in_name'] == 'on'){echo " checked";}elseif (empty($_POST['user_name'])){echo " checked";} ?> onclick="javascript:if(event.ctrlKey == false){document.getElementById('fchangedirect').submit();}"><input class="cinline" title="Также искать строку в самой записи (медленный поиск)" name="in_desk" type="Checkbox" <?php if ($_POST['in_desk'] == 'on'){echo " checked";}elseif (empty($_POST['user_name'])){echo " checked";} ?> onclick="javascript:if(event.ctrlKey == false){document.getElementById('fchangedirect').submit();}">&nbsp;В дате /&nbsp;В описании</FORM>
<index>
<?php
if ($_POST['user_name'] == "Введите искомое слово" or empty($_POST['user_name'])){$_POST['user_name'] = "";}
$_POST['user_name'] = addslashes($_POST['user_name']);
finds5last_set($_GET['p'], $_POST['user_name']);
switch($_POST['restrict_find']){
case "1": $_POST['user_name'] = "%" . $_POST['user_name'] . "%";break;
case "2": $_POST['user_name'] .= "%";break;
case "3": $_POST['user_name'] = "%" . $_POST['user_name'];break;
}
$query = "select * from onestyle_w.news_it where 1=1";
if ($_POST['user_name'] <> ""){
	$query .= " and (name like '" . $_POST['user_name'];
	if (isset($_POST['in_name']) == 'on'){$query = $query . "' or pubDate like '" . $_POST['user_name'];}
	if (isset($_POST['in_desk']) == 'on'){$query = $query . "' or desk_more like '" . $_POST['user_name'];}
	$query .= "')";
}
if (isset($_POST['sfilter']) and $_POST['sfilter'] <> "0"){
	$query .= " and source like '" . $_POST['sfilter'] . "'";
}
$query .= " ORDER BY ";
switch($_POST['in_orderby']){
case "2": $query .= "jobid asc";break;
case "3": $query .= "name desc";break;
case "4": $query .= "name asc";break;
default: $query .= "jobid desc";break;
}

//проверка лимита
$result = mysql_query($query);
$z = mysql_num_rows($result);
if (isset($_GET['l'])){$query .= " limit " .$_GET['l'] . "," . $cur_list_numb;}else{$query = $query . " limit 0," . $cur_list_numb;}
$result = mysql_query($query);
$num_result = mysql_num_rows($result);
?>
<div class="black_block_c">
<?php
	if ($num_result){
	for ($i=0; $i<$num_result; $i++){
		$row = mysql_fetch_array($result);
?>
<div class="p_block"><?php
echo "<span style='font-weight : bold;'>[&nbsp;";
if (isset($_GET['l'])){
	echo $i + 1 + $_GET['l'];}
else{
	echo $i + 1;
}
echo  '&nbsp;]</span> ', setarch("/news_it.php?d=" . $row['jobid']);?>
<?php 
echo "<span class='sm'>";
if ($row['desk_more'] <> ""){
	echo setmode("news_it.php?d=" . $row['jobid']), '<a target="_blank" href="/news_it.php?d=', $row['jobid'], '"><sub>Локальная</sub></a> ';
}
echo stripslashes($row['name']) . "</span>"; ?>
</div>
<table style="width:100%;"><tr><td class="tfont" style="padding:0px 7px 0px 3px;">
<?php
$tmp_desk = filter_find($_POST['user_name'], str_replace('a href=', "", str_replace("&lt;/a&gt;", "", str_replace("&lt;br /&gt;", "<br />", strip_tags(html_entity_decode(stripslashes($row['desk'])))))));
if (strlen($tmp_desk) > 444){$tmp_desk = substr($tmp_desk, 0, 444). "...";}
echo $tmp_desk;
?>
</td><td class="wnw" style="padding:0px 3px 0px 7px;width:33%;">
<?php
echo "<p class='sm'><span class='bld'>Дата: </span>" . stripslashes($row['pubDate']) . "<br /><span class='bld'>Сайт: </span>" . stripslashes($row['source'])  . "<br /><span class='bld'>Раздел: </span>" . stripslashes($row['category']) . "</p>";
?>
</td></tr></table>
<?php
	}
	}else{
		none_project();
	}
?>
</div>
<?php require "../find_project_res.php"; ?>
<?php finds5last_get($_GET['p']); ?>
</index></td></tr></table>
</div>